<div class="flex-grow flex-col h-screen">
  <app-top-bar title="Administration - Users"></app-top-bar>
  <div class="flex-grow p-5">
    <input
      type="text"
      class="search"
      placeholder="Rechercher un nom... "
      (keyup)="filterData($event)"
    />
    <a mat-mini-fab color="primary" matTooltip="Ajouter un user" routerLink="new">+</a>
    <ngx-datatable class="material" [columnMode]="'force'"
                   [headerHeight]="50"
                   [footerHeight]="50"
                   rowHeight="auto"
                   [limit]="10" [rows]="UsersData">
      <ngx-datatable-column prop="BE" name="BE"></ngx-datatable-column>
      <ngx-datatable-column prop="nom" name="Nom"></ngx-datatable-column>
      <ngx-datatable-column prop="prenom" name="Prenom"></ngx-datatable-column>
      <ngx-datatable-column prop="mail" name="Email"></ngx-datatable-column>
      <ngx-datatable-column prop="equipe" name="Equipe"></ngx-datatable-column>
      <ngx-datatable-column prop="role" name="Role"></ngx-datatable-column>
      <ngx-datatable-column prop="tracabilite" name="Tracabilité"></ngx-datatable-column>
      <ngx-datatable-column prop="obsolete" name="Désactivé">
        <ng-template let-row="row" let-value="value" ngx-datatable-cell-template>
          <div *ngIf="row.obsolete; then thenBlock else elseBlock"></div>
          <ng-template #thenBlock>
            <mat-slide-toggle color="warn" disabled checked></mat-slide-toggle>
          </ng-template>
          <ng-template #elseBlock>
            <mat-slide-toggle color="warn" disabled></mat-slide-toggle>
          </ng-template>
        </ng-template>
      </ngx-datatable-column>
      <ngx-datatable-column prop="idUser" name="Action" [sortable]="false">
        <ng-template let-row="row" let-value="value" ngx-datatable-cell-template>
          <button style="margin-right: 0.5em" mat-raised-button color="primary" [routerLink]="'update/'+row.idUser">
            Modifier
          </button>
          <div *ngIf="row.obsolete; then thenBlock else elseBlock"></div>
          <ng-template #thenBlock>
            <button mat-raised-button
                    style="margin-top: 0.5em;background-color: #00C853; color: white"
                    (click)="changeStatut(false,row.idUser)">
              Activer
            </button>
          </ng-template>
          <ng-template #elseBlock>
            <button mat-raised-button color="warn" style="margin-top: 0.5em;"
                    (click)="changeStatut(true,row.idUser)">Désactiver
            </button>
          </ng-template>
        </ng-template>
      </ngx-datatable-column>
    </ngx-datatable>
  </div>
</div>
